Get PoX details

Retrieves Proof-of-Transfer (PoX) information.

GET

Parameters

Query Parameters

tip
string Stacks chain tip to query from. Options: - (empty/omitted): Use latest anchored tip (canonical confirmed state) - `latest`: Use latest known tip including unconfirmed microblocks. If no unconfirmed state is available, falls back to the confirmed canonical tip. If the unconfirmed state check fails with an error, returns 404. - `{block_id}`: Use specific block ID (64 lowercase hex characters) **Note:** If `tip` is present but contains an invalid or malformed value (i.e., not `latest` and not a valid 64-character hex block ID), the node silently falls back to the latest anchored tip (same as omitting `tip`).
Status codeDescription
200Success
400Bad request
404Not found
500Internal Server Error
cURL
curl -L \
"https://api.hiro.so/v2/pox?tip={tip}" \
-H 'Accept: application/json'
Response
{
"contract_id": "SP000000000000000000002Q6VF78.pox-3",
"first_burnchain_block_height": 144000,
"current_burnchain_block_height": 144000,
"current_epoch": "string",
"pox_activation_threshold_ustx": 0,
"reward_phase_block_length": 144000,
"prepare_phase_block_length": 144000,
"reward_slots": 0,
"total_liquid_supply_ustx": "1000000",
"reward_cycle_length": 144000,
"current_cycle": {
"id": 0,
"min_threshold_ustx": "1000000",
"stacked_ustx": "1000000",
"is_pox_active": false
},
"next_cycle": {
"id": 0,
"min_threshold_ustx": "1000000",
"stacked_ustx": "1000000",
"min_increment_ustx": "1000000",
"prepare_phase_start_block_height": 144000,
"blocks_until_prepare_phase": 144000,
"reward_phase_start_block_height": 144000,
"blocks_until_reward_phase": 144000
},
"reward_cycle_id": 0,
"min_amount_ustx": 0,
"prepare_cycle_length": 0,
"next_reward_cycle_in": 144000,
"contract_versions": [
{
"contract_id": "SP000000000000000000002Q6VF78.pox-3",
"activation_burnchain_block_height": 144000,
"first_reward_cycle_id": 0
}
],
"epochs": [
{
"epoch_id": "string",
"start_height": 144000,
"end_height": 144000,
"block_limit": {
"read_count": 0,
"read_length": 0,
"write_count": 0,
"write_length": 0,
"runtime": 0
},
"network_epoch": 0
}
]
}

How is this guide?